com.collabnet.ce.soap60.webservices.cemain

## Class User2SoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.User2SoapRow

-     public class User2SoapRow
      extends Object

  A list of Users.
  Change History
  Release: 6.1
  - Added organization field.
  - Added locale field.
  - Added timezone field.
  - Added alternateEmails.
  - Added licenseType field.
  - Added lastLogin field.
  - Added restrictedUser flag.
  Release: 8.0
  - Added id field.
  Since:
    5.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `User2SoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlternateEmail1()` Returns 'alternateEmail1'.
    `String` | `getAlternateEmail2()` Returns 'alternateEmail2'.
    `String` | `getAlternateEmail3()` Returns 'alternateEmail3'.
    `String` | `getEmail()` Returns 'email'.
    `String` | `getFullName()` Returns 'fullName'.
    `String` | `getId()` Returns 'id'.
    `Date` | `getLastLogin()` Returns 'lastLogin'.
    `String` | `getLicenseType()` Returns 'licenseType'.
    `String` | `getLocale()` Returns 'locale'.
    `String` | `getOrganization()` Returns 'organization'.
    `boolean` | `getRestrictedUser()` Returns 'restrictedUser'.
    `String` | `getStatus()` Returns 'status'.
    `boolean` | `getSuperUser()` Returns 'superUser'.
    `String` | `getTimeZone()` Returns 'timeZone'.
    `String` | `getUserName()` Returns 'userName'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setAlternateEmail1(String alternateEmail1)` Sets 'alternateEmail1'.
    `void` | `setAlternateEmail2(String alternateEmail2)` Sets 'alternateEmail2'.
    `void` | `setAlternateEmail3(String alternateEmail3)` Sets 'alternateEmail3'.
    `void` | `setEmail(String email)` Sets 'email'.
    `void` | `setFullName(String fullName)` Sets 'fullName'.
    `void` | `setId(String id)` Sets 'id'.
    `void` | `setLastLogin(Date lastLogin)` Sets 'lastLogin'.
    `void` | `setLicenseType(String licenseType)` Sets 'licenseType'.
    `void` | `setLocale(String locale)` Sets 'locale'.
    `void` | `setOrganization(String organization)` Sets 'organization'.
    `void` | `setRestrictedUser(boolean restrictedUser)` Sets 'restrictedUser'.
    `void` | `setStatus(String status)` Sets 'status'.
    `void` | `setSuperUser(boolean superUser)` Sets 'superUser'.
    `void` | `setTimeZone(String timeZone)` Sets 'timeZone'.
    `void` | `setUserName(String userName)` Sets 'userName'.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### User2SoapRow

          public User2SoapRow()

  - ### Method Detail

    - #### getId

          public String getId()

      Returns 'id'. The id of the user
      Returns:
        Value of 'id'.

    - #### setId

          public void setId(String id)

      Sets 'id'. The id of the user
      Parameters:
        `id` - Value of 'id'.

    - #### getUserName

          public String getUserName()

      Returns 'userName'. User name (used for login authentication).
      Returns:
        Value of 'userName'.

    - #### setUserName

          public void setUserName(String userName)

      Sets 'userName'. User name (used for login authentication).
      Parameters:
        `userName` - Value of 'userName'.

    - #### getEmail

          public String getEmail()

      Returns 'email'. User's email address.
      Returns:
        Value of 'email'.

    - #### setEmail

          public void setEmail(String email)

      Sets 'email'. User's email address.
      Parameters:
        `email` - Value of 'email'.

    - #### getAlternateEmail1

          public String getAlternateEmail1()

      Returns 'alternateEmail1'. Alternate Email Address 1
      Returns:
        Value of 'alternateEmail1'.

    - #### setAlternateEmail1

          public void setAlternateEmail1(String alternateEmail1)

      Sets 'alternateEmail1'. Alternate Email Address 1
      Parameters:
        `alternateEmail1` - Value of 'alternateEmail1'.

    - #### getAlternateEmail2

          public String getAlternateEmail2()

      Returns 'alternateEmail2'. Alternate Email Address 2
      Returns:
        Value of 'alternateEmail2'.

    - #### setAlternateEmail2

          public void setAlternateEmail2(String alternateEmail2)

      Sets 'alternateEmail2'. Alternate Email Address 2
      Parameters:
        `alternateEmail2` - Value of 'alternateEmail2'.

    - #### getAlternateEmail3

          public String getAlternateEmail3()

      Returns 'alternateEmail3'. Alternate Email Address 3
      Returns:
        Value of 'alternateEmail3'.

    - #### setAlternateEmail3

          public void setAlternateEmail3(String alternateEmail3)

      Sets 'alternateEmail3'. Alternate Email Address 3
      Parameters:
        `alternateEmail3` - Value of 'alternateEmail3'.

    - #### getFullName

          public String getFullName()

      Returns 'fullName'. User's full name.
      Returns:
        Value of 'fullName'.

    - #### setFullName

          public void setFullName(String fullName)

      Sets 'fullName'. User's full name.
      Parameters:
        `fullName` - Value of 'fullName'.

    - #### getOrganization

          public String getOrganization()

      Returns 'organization'. User's company name.
      Returns:
        Value of 'organization'.

    - #### setOrganization

          public void setOrganization(String organization)

      Sets 'organization'. User's company name.
      Parameters:
        `organization` - Value of 'organization'.

    - #### getLocale

          public String getLocale()

      Returns 'locale'. User's language.
      Returns:
        Value of 'locale'.

    - #### setLocale

          public void setLocale(String locale)

      Sets 'locale'. User's language.
      Parameters:
        `locale` - Value of 'locale'.

    - #### getTimeZone

          public String getTimeZone()

      Returns 'timeZone'. User's time-zone.
      Returns:
        Value of 'timeZone'.

    - #### setTimeZone

          public void setTimeZone(String timeZone)

      Sets 'timeZone'. User's time-zone.
      Parameters:
        `timeZone` - Value of 'timeZone'.

    - #### getSuperUser

          public boolean getSuperUser()

      Returns 'superUser'. Is user a super-user?
      Returns:
        Value of 'superUser'.

    - #### setSuperUser

          public void setSuperUser(boolean superUser)

      Sets 'superUser'. Is user a super-user?
      Parameters:
        `superUser` - Value of 'superUser'.

    - #### getRestrictedUser

          public boolean getRestrictedUser()

      Returns 'restrictedUser'. Is user a restricted user?
      Returns:
        Value of 'restrictedUser'.

    - #### setRestrictedUser

          public void setRestrictedUser(boolean restrictedUser)

      Sets 'restrictedUser'. Is user a restricted user?
      Parameters:
        `restrictedUser` - Value of 'restrictedUser'.

    - #### getStatus

          public String getStatus()

      Returns 'status'. User account status (see UserSoapDO for details).
      Returns:
        Value of 'status'.

    - #### setStatus

          public void setStatus(String status)

      Sets 'status'. User account status (see UserSoapDO for details).
      Parameters:
        `status` - Value of 'status'.

    - #### getLicenseType

          public String getLicenseType()

      Returns 'licenseType'. User's type of license.
      Returns:
        Value of 'licenseType'.

    - #### setLicenseType

          public void setLicenseType(String licenseType)

      Sets 'licenseType'. User's type of license.
      Parameters:
        `licenseType` - Value of 'licenseType'.

    - #### getLastLogin

          public Date getLastLogin()

      Returns 'lastLogin'. User last login timestamp.
      Returns:
        Value of 'lastLogin'.

    - #### setLastLogin

          public void setLastLogin(Date lastLogin)

      Sets 'lastLogin'. User last login timestamp.
      Parameters:
        `lastLogin` - Value of 'lastLogin'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2020 CollabNet. All rights reserved.